browserify-lite(1)

NAME
browserify-lite - bundle javascript file

SYNOPSIS
browserify-lite ./entry-file.js --outfile bundle.js

DESCRIPTION
Browserify-lite is a tool that allows developers to write Node.js-style modules that compile for use in the browser. This tool is a lite version a browserify:

    •   No builtin Node.js shims.

    •   Naive AST tokenization for require instead of true AST parsing. All require statements are found regardless of if they are in an `if` statement or a function body that is never called.

    •   Only supports a single entry file and the --outfile parameter, nothing else.

    •   No source maps.

    •   Minimal dependencies.

OPTIONS

--outfile
    Write the browserify bundle to this file

--standalone xyz
    Export as window.xyz

--help
    Help screen

SEE ALSO
browserify(1)